%define        javahome   %{_jvmdir}/jdk
Name:          java-tagsoup
Version:       1.1.3
Release:       3mamba
Summary:       a SAX-compliant parser written in Java
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://home.ccil.org/~cowan/XML/tagsoup/
Source:        http://home.ccil.org/~cowan/XML/tagsoup/tagsoup-%{version}-src.zip
License:       Apache Software License 2.0, GPL
Requires:      jpackage-utils
BuildRequires: apache-ant
BuildRequires: apache-ant-trax
#BuildRequires: java-gcj-compat
#BuildRequires: java-gcj-compat-javadoc
BuildRequires: java-openjdk
BuildRequires: java-saxon6
BuildRequires: jpackage-utils
BuildRequires: xalan-j2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
TagSoup is a SAX-compliant parser written in Java that, instead of parsing well-formed or valid XML, parses HTML as it is found in the wild: nasty and brutish, though quite often far from short. TagSoup is designed for people who have to process this stuff using some semblance of a rational application design. By providing a SAX interface, it allows standard XML tools to be applied to even the worst HTML.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
TagSoup is a SAX-compliant parser written in Java that, instead of parsing well-formed or valid XML, parses HTML as it is found in the wild: nasty and brutish, though quite often far from short. TagSoup is designed for people who have to process this stuff using some semblance of a rational application design. By providing a SAX interface, it allows standard XML tools to be applied to even the worst HTML.
This package contains javadoc for %{name}

%prep
%setup -q -n tagsoup-%{version}

%build
export JAVA_HOME=%javahome
export CLASSPATH=$(build-classpath xalan-j2 saxon ant/ant-trax):build
ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java-gcj-compat \
  dist docs-api

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/lib/tagsoup-%{version}.jar \
  %{buildroot}%{_javadir}/tagsoup-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do 
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/tagsoup-%{version}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/tagsoup-%{version}
ln -s tagsoup-%{version} %{buildroot}%{_javadocdir}/tagsoup

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 tagsoup.1 %{buildroot}%{_mandir}/man1/

#%{_bindir}/aot-compile-rpm


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/tagsoup-%{version}.jar
%{_javadir}/tagsoup.jar
%{_mandir}/man1/tagsoup.1.gz
%doc CHANGES LICENSE README TODO tagsoup.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/tagsoup-%{version}
%{_javadocdir}/tagsoup

%changelog
* Thu Mar 24 2011 gil <puntogil@libero.it> 1.1.3-3mamba
- rebuilt with java-gcj-compat support

* Fri Nov 26 2010 gil <puntogil@libero.it> 1.1.3-2mamba
- rebuilt in devel

* Thu Feb 26 2009 gil <puntogil@libero.it> 1.1.3-1mamba
- package created by autospec
